/* Check my videoblog: https://www.youtube.com/watch?v=dQw4w9WgXcQ */
html,
body {
  margin: 0;
  padding: 0;
  cursor: pointer;
}

body {
  width: 100vw;
  height: 100vh;
  overflow: hidden;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  background-color: #111;
}

.body--invert canvas {
  animation: rotation 2s linear infinite;
}

canvas {
  max-width: 100%;
  width: 800px;
  margin: auto;
  overflow: hidden;
}

a {
  display: none;
}

* {
  -webkit-box-sizing: border-box;
  box-sizing: border-box;
  -moz-osx-font-smoothing: grayscale;
  -webkit-font-smoothing: antialiased;
  -webkit-tap-highlight-color: transparent;
  -webkit-touch-callout: none;
}

@keyframes rotation {
  0% {
    filter: saturate(3) hue-rotate(0deg);
  }

  100% {
    filter: saturate(3) hue-rotate(360deg);
  }
}